using System;
using System.IO;
namespace LeerDatos
{
  class Program
  {
    public static void Main(string[] args)
    {
      FileStream fs = null;
      fs = new FileStream("datos.dat", FileMode.Open,
                          FileAccess.Read);
      BinaryReader br = new BinaryReader(fs);

      // Leer un string y un long desde el fichero
      string nombre;
      long teléfono;
      nombre = br.ReadString();
      teléfono = br.ReadInt64();

      Console.WriteLine(nombre + ": " + teléfono);
      br.Close();
      fs.Close();
      
      Console.Write("Pulse una tecla para continuar...");
      Console.ReadKey(true);
    }
  }
}
